NewWacht Bench is live — AI-assisted development for Wacht

Rotate Key

POST
/api-auth/keys/{id}/rotate

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/api-auth/keys/string/rotate"
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "name": "string",
    "key_prefix": "string",
    "key_suffix": "string",
    "permissions": [
      "string"
    ],
    "expires_at": "string",
    "last_used_at": "string",
    "is_active": true,
    "created_at": "string",
    "revoked_at": "string",
    "revoked_reason": "string",
    "secret": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}